org.h2.command.ddl

## Class CreateTableData

- java.lang.Object
- - org.h2.command.ddl.CreateTableData

    public class CreateTableData
    extends java.lang.Object

The data required to create a table.

### Field Summary

Fields
`java.util.ArrayList<Column>` `columns` The column list.
`boolean` `create` Whether to create a new table.
`boolean` `globalTemporary` Whether the table is global temporary.
`int` `id` The object id.
`boolean` `isHidden` The table is hidden.
`boolean` `persistData` Whether the data should be persisted.
`boolean` `persistIndexes` Whether the indexes should be persisted.
`Schema` `schema` The schema.
`Session` `session` The session.
`java.lang.String` `tableEngine` The table engine to use for creating the table.
`java.util.ArrayList<java.lang.String>` `tableEngineParams` The table engine params to use for creating the table.
`java.lang.String` `tableName` The table name.
`boolean` `temporary` Whether this is a temporary table.

### Constructor Summary

Constructors
Constructor and Description
`CreateTableData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### schema

    public Schema schema

The schema.

#### tableName

    public java.lang.String tableName

The table name.

#### id

    public int id

The object id.

#### columns

    public java.util.ArrayList<Column> columns

The column list.

#### temporary

    public boolean temporary

Whether this is a temporary table.

#### globalTemporary

    public boolean globalTemporary

Whether the table is global temporary.

#### persistIndexes

    public boolean persistIndexes

Whether the indexes should be persisted.

#### persistData

    public boolean persistData

Whether the data should be persisted.

#### create

    public boolean create

Whether to create a new table.

#### session

    public Session session

The session.

#### tableEngine

    public java.lang.String tableEngine

The table engine to use for creating the table.

#### tableEngineParams

    public java.util.ArrayList<java.lang.String> tableEngineParams

The table engine params to use for creating the table.

#### isHidden

    public boolean isHidden

The table is hidden.

### Constructor Detail

#### CreateTableData

    public CreateTableData()